﻿using System;
using Telerik.WinControls.UI;

namespace RadPropertyGridCustomItemElement
{
    public partial class Form1 : RadForm
    {
        public Form1()
        {
            InitializeComponent();

            this.radPropertyGrid1.SelectedObject = new DemoClass("Text");
            this.radPropertyGrid1.Dock = System.Windows.Forms.DockStyle.Left;
            this.radPropertyGrid1.CreateItemElement += new CreatePropertyGridItemElementEventHandler(radPropertyGrid1_CreateItemElement);
            this.radPropertyGrid1.Editing += new PropertyGridItemEditingEventHandler(radPropertyGrid1_Editing);
        }

        private void radPropertyGrid1_Editing(object sender, PropertyGridItemEditingEventArgs e)
        {
            if (e.Item.Name == "SpecialText")
            {
                e.Cancel = true;
            }
        }

        private void radPropertyGrid1_CreateItemElement(object sender, CreatePropertyGridItemElementEventArgs e)
        {
            if (e.Item.Name == "SpecialText")
            {
                e.ItemElementType = typeof(CustomPropertyGridItemElement);
            }
            else
            {
                e.ItemElementType = typeof(StandardItem);
            }

        }
    }
}
